function ToolsBnM_OptionInit()
	local db = ToolsBnMDB
	local tbnm = ToolsBnM
	local id
	local v = {}
	v.Header = {	text = "가방 & 메뉴",
			tooltip = "가방 & 메뉴 설정"
		}
	v.option = {
		{	type = "CheckButton",
			text = "미니맵 아이콘 사용",
			get = function() return db.useminimap end,
			set = function(v)
				db.useminimap = v
				tbnm:SetMovable(1)
				tbnm:SetMovable(2)
				tbnm:SetMenuPoint()
				ToolsOptionCore:Refresh(id)

			end,
			tooltip = "미니맵 아이콘에 가방/메뉴를 부착합니다",
		},
		{	type = "CheckButton",
			text = "우클릭 모드전환",
			disable = function() return db.useminimap end,
			get = function() return db.useclick end,
			set = function(v)
				db.useclick = v
				tbnm:CheckUseClick(1)
				tbnm:CheckUseClick(2)
			end,
			tooltip = "우클릭으로 모드전환을 이용합니다",
		},
		{	type = "Title",
			text = "가방 설정",
		},
		{	type = "Slider",
			text = "가방 크기",
			get = function() return db.scale[1] end,
			set = function(v)
				db.scale[1]  = v
				tbnm:SetScale(1)
			end,
			minmax = {0.4, 1.5},
			step = 0.01,
			tooltip = "가방의 크기를 설정합니다",
		},
		{	type = "RadioButton",
			col = 4,
			text = "가방 확장방향",
			get = function() return db.point[1] end,
			set = function(v)
				db.point[1] = v
				tbnm:SetBagPoint()
				if (db.useminimap) then
					tbnm:SetMainPoint(1)
					tbnm:SetMainPoint(2)
				end
			end,
			values = {"좌측", "우측", "하단", "상단"},
			tooltips = {"왼쪽으로 확장", "오른쪽으로 확장",
					"아래쪽으로 확장", "위쪽으로 확장"}
		},
		{	type = "Title",
			text = "메뉴 설정",
		},
		{	type = "Slider",
			text = "메뉴 크기",
			get = function() return db.scale[2] end,
			set = function(v)
				db.scale[2]  = v
				tbnm:SetScale(2)
			end,
			minmax = {0.4, 1.5},
			step = 0.01,
			tooltip = "메뉴의 크기를 설정합니다",
		},
		{	type = "RadioButton",
			col = 4,
			text = "메뉴 확장방향",
			get = function() return db.point[2] end,
			set = function(v)
				db.point[2] = v
				tbnm:SetMenuPoint()
				if (db.useminimap) then
					tbnm:SetMainPoint(1)
					tbnm:SetMainPoint(2)
				end
			end,
			values = {"좌측", "우측", "하단", "상단"},
			tooltips = {"왼쪽으로 확장", "오른쪽으로 확장",
					"아래쪽으로 확장", "위쪽으로 확장"}
		},
		{	type = "CheckButton",
			text = "메뉴 두줄로",
			get = function() return db.double end,
			set = function(v)
				db.double = v
				tbnm:SetMenuPoint()
			end,
			tooltip = "메뉴를 두줄로 설정합니다",
		},
	}
	id = ToolsOptionCore:RegesterOption(v)
end
ToolsOptionCore:Insert("ToolsBnM")